IDENTD(8)

NAME
identd - Identification Protocol daemon

SYNOPSIS
identd [-46deHhNn] [-l address] [-t timeout]

DESCRIPTION
identd is a server which implements the Identification Protocol as specified in RFC 1413.

identd operates by looking up specific TCP/IP connections and returning the name of the user running the process responsible for the connection.

The options are as follows:

-4  Forces identd to use IPv4 addresses only.

-6  Forces identd to use IPv6 addresses only.

-d  Do not daemonize. If this option is specified, identd will run in the foreground and log to stderr.

-e  Always return “UNKNOWN-ERROR” instead of the “NO-USER” or “INVALID-PORT” errors.

-H  Hide information about existing and non-existent users. This flag implies -h.

-h  Hide the actual information about the user by providing an opaque token instead. This token is entered into the local system logs so that the administrator can later discover who the real user was.

-l address
    Listen on the specified address. By default identd listens on wildcard addresses.

-N  When replying with a user name or ID, first check for a file .noident in the user's home directory. If this file is accessible, return “HIDDEN-USER” instead of the normal USERID response.

-n  Always return UID numbers instead of usernames.

-t timeout
    Specifies the idle timeout for client connections, in seconds. The default timeout is 120 seconds.

STANDARDS
M. St. Johns, February 1993, RFC 1413, Identification Protocol.

HISTORY
The identd command was originally a process run via inetd(8). It was rewritten for OpenBSD 5.4 as a persistent non-blocking daemon.